package com.ruoyi.sapAccount.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业务账户对象 sap_account
 *
 * @author ruoyi
 * @date 2024-03-11
 */
public class SapAccount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**   */
    private Long id;

    /** 登录账号 */
    @Excel(name = "登录账号")
    private String userName;

    /** 登录名 */
    @Excel(name = "登录名")
    private String nickName;

    /** 账户 */
    @Excel(name = "账户")
    private String sapBm;

    /** 账户名 */
    @Excel(name = "账户名")
    private String sapName;

    /** 片区 */
    @Excel(name = "片区")
    private String sapArea;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public String getNickName() {return nickName;}

    public void setNickName(String nickName) {this.nickName = nickName;}
    public String getUserName() {return userName;}

    public void setUserName(String userName) {this.userName = userName;}
    public void setSapBm(String sapBm)
    {
        this.sapBm = sapBm;
    }

    public String getSapBm()
    {
        return sapBm;
    }
    public void setSapName(String sapName)
    {
        this.sapName = sapName;
    }

    public String getSapName()
    {
        return sapName;
    }
    public void setSapArea(String sapArea)
    {
        this.sapArea = sapArea;
    }

    public String getSapArea()
    {
        return sapArea;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sapBm", getSapBm())
            .append("sapName", getSapName())
            .append("sapArea", getSapArea())
            .toString();
    }
}
